<?php

/**
 * Licentia Fidelitas - SMS Notifications for E-Goi
 *
 * NOTICE OF LICENSE
 * This source file is subject to the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International
 * It is available through the world-wide-web at this URL:
 * http://creativecommons.org/licenses/by-nc-nd/4.0/
 *
 * @title      SMS Notifications
 * @category   Marketing
 * @package    Licentia
 * @author     Bento Vilas Boas <bento@licentia.pt>
 * @copyright  Copyright (c) 2016 E-Goi - http://e-goi.com
 * @license    Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International
 */
class Licentia_Fidelitas_Block_Adminhtml_Conversions extends Mage_Adminhtml_Block_Widget_Grid_Container
{

    public function __construct()
    {
        $this->_controller = 'adminhtml_conversions';
        $this->_blockGroup = 'fidelitas';
        $this->_headerText = $this->__('Conversions');

        parent::__construct();

        $this->_removeButton('add');

        if ($this->getRequest()->getParam('display') == 'campaigns') {

            $dataAR = [
                'label'   => $this->__('Display Conversions Log'),
                'class'   => '',
                'onclick' => "setLocation('{$this->getUrl("*/*/*",['display'=>false])}')",
            ];
        } else {

            $dataAR = [
                'label'   => $this->__('Display Conversions Totals'),
                'class'   => '',
                'onclick' => "setLocation('{$this->getUrl("*/*/*",['display'=>'campaigns'])}')",
            ];
        }
        $this->addButton('add_ar', $dataAR);

    }

}
